Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.view.dynamictree.ui.swt
Class SWTDynamicContainmentTreeRenderer

    java.lang.Object
      org.eclipse.emf.ecp.view.model.common.AbstractRenderer<VELEMENT>
          org.eclipse.emfforms.spi.swt.core.AbstractSWTRenderer<VELEMENT>
              org.eclipse.emf.ecp.view.spi.core.swt.ContainerSWTRenderer<DynamicContainmentTree>
                  org.eclipse.emf.ecp.view.dynamictree.ui.swt.SWTDynamicContainmentTreeRenderer

    public class SWTDynamicContainmentTreeRenderer

extends ContainerSWTRenderer<DynamicContainmentTree>

SWT renderer for `DynamicContainmentTree`s.

Author:
  emueller

Constructor Summary
`SWTDynamicContainmentTreeRenderer(DynamicContainmentTree vElement, ViewModelContext viewContext, ReportService reportService)`

Method Summary

Methods inherited from class org.eclipse.emf.ecp.view.spi.core.swt.ContainerSWTRenderer
`getGridDescription`

Methods inherited from class org.eclipse.emfforms.spi.swt.core.AbstractSWTRenderer
`finalizeRendering, init, render`

Methods inherited from class org.eclipse.emf.ecp.view.model.common.AbstractRenderer
`getVElement, getViewModelContext`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SWTDynamicContainmentTreeRenderer

    public SWTDynamicContainmentTreeRenderer(DynamicContainmentTree vElement,
                                             ViewModelContext viewContext,
                                             ReportService reportService)

Parameters:
  `vElement` - the view model element to be rendered
  `viewContext` - the view context
  `reportService` - the `ReportService`

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.